
From: Mikael Pettersson <mikpe@csd.uu.se>

Perfctr sysfs update part 3/4:
- Remove sys_perfctr_info() from x86-64.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
DESC
perfctr: syscall numbers in x86-64 ia32-emulation
EDESC
From: Mikael Pettersson <mikpe@user.it.uu.se>

2.6.10-mm3 reverted the perfctr syscall numbers in x86-64's ia32-emulation
to an older definition when sys_perfctr_info() still existed.  This patch
fixes that.

Signed-off-by: Mikael Petterson <mikpe@csd.uu.se>
DESC
perfctr x86_64 native syscall numbers fix
EDESC
From: Mikael Pettersson <mikpe@user.it.uu.se>

2.6.10-mm3 added some syscalls to x86-64, but the preliminary syscall
numbers for perfctr weren't adjusted, causing an overlap. Fix below.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/ia32/ia32entry.S     |    1 -
 25-akpm/include/asm-x86_64/ia32_unistd.h |   13 ++++++-------
 25-akpm/include/asm-x86_64/unistd.h      |   12 +++++-------
 3 files changed, 11 insertions(+), 15 deletions(-)

diff -puN arch/x86_64/ia32/ia32entry.S~perfctr-sysfs-update-3-4-x86-64 arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~perfctr-sysfs-update-3-4-x86-64	2005-03-10 03:30:28.000000000 -0800
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	2005-03-10 03:30:28.000000000 -0800
@@ -595,7 +595,6 @@ ia32_sys_call_table:
 	.quad sys_add_key
 	.quad sys_request_key
 	.quad sys_keyctl
-	.quad sys_perfctr_info
 	.quad sys_vperfctr_open
 	.quad sys_vperfctr_control	/* 290 */
 	.quad sys_vperfctr_unlink
diff -puN include/asm-x86_64/ia32_unistd.h~perfctr-sysfs-update-3-4-x86-64 include/asm-x86_64/ia32_unistd.h
--- 25/include/asm-x86_64/ia32_unistd.h~perfctr-sysfs-update-3-4-x86-64	2005-03-10 03:30:28.000000000 -0800
+++ 25-akpm/include/asm-x86_64/ia32_unistd.h	2005-03-10 03:30:28.000000000 -0800
@@ -294,13 +294,12 @@
 #define __NR_ia32_add_key		286
 #define __NR_ia32_request_key	287
 #define __NR_ia32_keyctl		288
-#define __NR_ia32_perfctr_info		289
-#define __NR_ia32_vperfctr_open		(__NR_ia32_perfctr_info+1)
-#define __NR_ia32_vperfctr_control	(__NR_ia32_perfctr_info+2)
-#define __NR_ia32_vperfctr_unlink	(__NR_ia32_perfctr_info+3)
-#define __NR_ia32_vperfctr_iresume	(__NR_ia32_perfctr_info+4)
-#define __NR_ia32_vperfctr_read		(__NR_ia32_perfctr_info+5)
+#define __NR_ia32_vperfctr_open		289
+#define __NR_ia32_vperfctr_control	(__NR_ia32_vperfctr_open+1)
+#define __NR_ia32_vperfctr_unlink	(__NR_ia32_vperfctr_open+2)
+#define __NR_ia32_vperfctr_iresume	(__NR_ia32_vperfctr_open+3)
+#define __NR_ia32_vperfctr_read		(__NR_ia32_vperfctr_open+4)
 
-#define IA32_NR_syscalls 295	/* must be > than biggest syscall! */
+#define IA32_NR_syscalls 294	/* must be > than biggest syscall! */
 
 #endif /* _ASM_X86_64_IA32_UNISTD_H_ */
diff -puN include/asm-x86_64/unistd.h~perfctr-sysfs-update-3-4-x86-64 include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~perfctr-sysfs-update-3-4-x86-64	2005-03-10 03:30:28.000000000 -0800
+++ 25-akpm/include/asm-x86_64/unistd.h	2005-03-10 03:31:16.000000000 -0800
@@ -567,17 +567,15 @@ __SYSCALL(__NR_keyctl, sys_keyctl)
 __SYSCALL(__NR_ioprio_set, sys_ioprio_set)
 #define __NR_ioprio_get		252
 __SYSCALL(__NR_ioprio_get, sys_ioprio_get)
-#define __NR_perfctr_info	253
-__SYSCALL(__NR_perfctr_info, sys_perfctr_info)
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
+#define __NR_vperfctr_open	253
 __SYSCALL(__NR_vperfctr_open, sys_vperfctr_open)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
+#define __NR_vperfctr_control	(__NR_vperfctr_open+1)
 __SYSCALL(__NR_vperfctr_control, sys_vperfctr_control)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
+#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
 __SYSCALL(__NR_vperfctr_unlink, sys_vperfctr_unlink)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
+#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
 __SYSCALL(__NR_vperfctr_iresume, sys_vperfctr_iresume)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
 __SYSCALL(__NR_vperfctr_read, sys_vperfctr_read)
 
 #define __NR_syscall_max __NR_vperfctr_read
_
